Bug 61018 - Promise Technologies SX6000 Raid Card
Promise Technologies SX6000 Raid Card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-12 00:02 EST by Jorge Luis Cubria
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorge Luis Cubria 2002-03-12 00:02:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The driver for the Promise Technologies SX6000 Raid Card is not compatible 
with RH 7.2 running kernel 2.4.7... Promise Tech support advises that I run RH 
7.1 w/kernel 2.4.2-2 for compatiblity with that driver. I am not able to do a 
fresh install of RH 7.2 on my server due to 7.2 no recognizing the driver. I 
had to get 7.1 and install.  Please address this in 7.2, promise is also 
working on a new driver for 7.2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Do fresh install with 7.2 running the SX6000 driver, won't work...
2.
3.
	

Additional info:

I am listing this as high severity because the OS is NOT installable AT all 
under this situation.  The only work around is get another version of the 
OS.... :-( not good.
Comment 1 Jeremy Katz 2002-03-13 14:58:10 EST
Arjan, do you know anything baout support for this hardware?
Comment 2 Arjan van de Ven 2002-03-13 15:00:20 EST
Is this the supertrack or a fasttrak ?
Comment 3 Jorge Luis Cubria 2002-03-13 22:00:26 EST
arjanv@redhat.com wrote:
> Is this the supertrack or a fasttrak ?

It is the SuperTrak.

http://promise.com/product/subsys_detail_eng.asp?pid=86&fid=2

Regards...
Jorge
Comment 4 Jorge Luis Cubria 2002-03-15 10:11:19 EST
Just thought I would add this bit of info to the case.  It appears that not 
only will the end user need to be running RH 7.1 with kernal 2.4.2-2, but with 
the driver available from Promise Technologies, you will only be able to 
install even the 7.1 OS using raid level 0+1 and only with the "default" 
partitioning scheme. If you use disk druid to select your own partitions the 
install hangs, if you select raid level 5 and use either the default 
partitioning scheme OR disk druid it also hangs.  IMHO, this is a VERY poorly 
written driver.

So basically, you can only use this promise supertrak sx6000 card running raid 
level 0+1 with RH 7.1 with default partition scheme... Anything else will hang 
in the installation of the packages section... Sad huh?
Comment 5 Arjan van de Ven 2002-03-15 10:49:20 EST
The 2.4.9 errata kernel is supposed to deal with the supertrak just fine as I2O
device
Comment 6 Alan Cox 2002-03-15 12:33:46 EST
The supertrak100 and SX6000 are both I2O raid cards using i960 processors and
promise 2026x series IDE chips. You *MUST* use 2.4.9 or higher with this card
then the I2O layer will grab it nicely and it should work fine. I've recently
been working on some corner cases where the firmware seems to get a little
addled when asked to do neat things.

(My /home is on a supertrak 100 which promise provided specifically to get the
 main I2O code working on their cards. I've also got the GPL tar ball of their
 card specific driver source if you want it)

Comment 7 Rudy 2002-11-18 09:41:47 EST
Has anyone created an updated driver disk for the FastTrak SX6000 on RedHat Advancedserver 2.1? 
If not how can I request this?

uname -a  :
Linux websrv 2.4.9-e.3smp #1 SMP Fri May 3 16:09:59 EDT 
2002 i686 unknown

Manufacturer driver source code 
:
http://www.promise.com/support/other2_eng.asp?mode=linux_download&product_id=86
Comment 8 Alan Cox 2002-11-18 13:08:14 EST
Not that I know of. The older SX6000 will work with Red Hat but I believe doesnt
work at boot time due to an installer bug. The newer SX6000 may not work on
2.4.9 era kernel without core kernel changes so a driver disk won't be sufficient.

For AS ask your support contact about getting a driver disk made and see what
they can do.
Comment 9 Rudy 2002-11-23 09:09:38 EST
Is there any documentation available for post installation setup of the older 
SX6000? I've been guided ontoward a 3ware solution, How ever I am willing to 
try a bit more with the promise card ( as i'm stuck with it :-) )
Comment 10 Alan Cox 2002-11-24 17:26:01 EST
For the base 7.2/7.3/8.0 upgrade to the current errata kernel
Add the modules i2o_pci i2o_block
It'll appear as /dev/i2o/i2ohda1 /dev/i2o/i2ohda2 etc

For -AS as far as I know its not supported

Alan
Comment 11 Bugzilla owner 2004-09-30 11:39:26 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.